<?php
if ( ! isset( $content_width ) ) $content_width = 960;

/*-----------------------------------------------------------------------------------*/
/*  Theme Support
/*-----------------------------------------------------------------------------------*/

add_action( 'after_setup_theme', 'daq_setup', 11 );

function daq_setup() {
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "title-tag" );
	add_theme_support( "custom-header", $args ) ;
	add_theme_support( "custom-background", $args ) ;
	add_theme_support( 'post-thumbnails' );
	add_editor_style();
	
/*-----------------------------------------------------------------------------------*/
/*  Custom Menu Support
/*-----------------------------------------------------------------------------------*/
	add_theme_support( 'menus' );
		if ( function_exists( 'register_nav_menus' ) ) {
    			register_nav_menus(
        		array(
          		'primary-menu' => 'Primary Menu',
		  		'footer-menu' => 'Footer Menu'
       		 )
    		);
		}
}

/*-----------------------------------------------------------------------------------*/
/*  Post Thumbnail Support
/*-----------------------------------------------------------------------------------*/
add_action( 'after_setup_theme', 'daq_setup' );

function daq_image_setup() {
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 220, 162, true );
	add_image_size( 'frontpagethumb', 273, 162, true ); //Latest posts thumb
	add_image_size( 'featured', 220, 162, true ); //Latest posts thumb
	add_image_size( 'carousel', 140, 130, true ); //Bottom featured thumb
	add_image_size( 'bigthumb', 620, 315, true ); //Big thumb for featured area
	add_image_size( 'mediumthumb', 300, 200, true ); //Medium thumb for featured area
	add_image_size( 'smallthumb', 140, 100, true ); //Small thumb for featured area
	add_image_size( 'widgetthumb', 60, 57, true ); //widget

}

/*-----------------------------------------------------------------------------------*/
/*  Logo Upload Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer( $wp_customize ) {

    $wp_customize->add_section( 'themeslug_logo_section' , array(
    'title'       => __( 'Logo', 'daq' ),
    'priority'    => 20,
    'description' => __( 'Upload a logo to replace the default site name and description in the header, Recommended Size 138 X 56', 'daq' ),
) );

$wp_customize->add_setting( 'themeslug_logo' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'themeslug_logo', array(
    'label'    => __( 'Logo', 'daq' ),
    'section'  => 'themeslug_logo_section',
    'settings' => 'themeslug_logo',
) ) );

}
add_action( 'customize_register', 'daq_customizer' );

/*-----------------------------------------------------------------------------------*/
/*  Fevicon Upload Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_fevicon( $wp_customize ) {

    $wp_customize->add_section( 'themeslug_fevicon_section' , array(
    'title'       => __( 'Fevicon', 'daq' ),
    'priority'    => 21,
    'description' => __( 'Upload a PNG image as Fevicon, Recommended Size 16 X 16, Recommended format ICO', 'daq' ),
) );

$wp_customize->add_setting( 'themeslug_fevicon' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'themeslug_fevicon', array(
    'label'    => __( 'Fevicon', 'daq' ),
    'section'  => 'themeslug_fevicon_section',
    'settings' => 'themeslug_fevicon',
) ) );

}
add_action( 'customize_register', 'daq_customizer_fevicon' );


/*-----------------------------------------------------------------------------------*/
/*  Fevicon Upload Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_headerimage( $wp_customize ) {

    $wp_customize->add_section( 'themeslug_headerimage_section' , array(
    'title'       => __( 'Header Image', 'daq' ),
    'priority'    => 22,
    'description' => __( 'Upload an image for header, Recommended Size 960 X 350', 'daq' ),
) );

$wp_customize->add_setting( 'themeslug_headerimage' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'themeslug_headerimage', array(
    'label'    => __( 'Header Image', 'daq' ),
    'section'  => 'themeslug_headerimage_section',
    'settings' => 'themeslug_headerimage',
) ) );

}
add_action( 'customize_register', 'daq_customizer_headerimage' );


/*-----------------------------------------------------------------------------------*/
/*  Header Email Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_contactinfo( $wp_customize ) {

$wp_customize->add_panel( 'contactinfo', array(
    'priority'       => 22,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Contact Info', 'daq' ),
    'description'    => '',
) );

/*  Header Telephone Option in the Theme Customizer */
$wp_customize->add_section( 'themeslug_telephone_section' , array(
    'title'       => __( 'Telephone', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Write a Telephone Number, Format: +99 99999 99999 or (123)123-1234', 'daq' ),
	'panel'  => 'contactinfo',
) );

$wp_customize->add_setting( 'themeslug_telephone' ,
    array ( 'default' => '+99 99999 99999',
    'sanitize_callback' => 'daq_check_number'
    ));



function daq_check_number( $value ) {
    if ( preg_match( "/^\+[0-9]{2} [0-9]{5} [0-9]{5}$/"|"/^(\([0-9]{3}\)|[0-9]{3}-)[0-9]{3}-[0-9]{4}$/", $value ) ) {
		return $value;
		}
		else
		{
		return "";
		}
}


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_telephone', array(
    'label'    => __( 'Telephone', 'daq' ),
    'section'  => 'themeslug_telephone_section',
    'settings' => 'themeslug_telephone',
) ) );

/*  Header Email Option in the Theme Customizer */
    $wp_customize->add_section( 'themeslug_email_section' , array(
    'title'       => __( 'Email', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Write Email ID, Recommended 15-20 Charecters', 'daq' ),
	'panel'  => 'contactinfo',
) );

$wp_customize->add_setting( 'themeslug_email' ,
    array ( 'default' => '',
    'sanitize_callback' => 'is_email'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_email', array(
    'label'    => __( 'Email', 'daq' ),
    'section'  => 'themeslug_email_section',
    'settings' => 'themeslug_email',
) ) );

}
add_action( 'customize_register', 'daq_customizer_contactinfo' );

/*-----------------------------------------------------------------------------------*/
/*  Header Social Media Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_socialmedia( $wp_customize ) {

$wp_customize->add_panel( 'socialmedia', array(
    'priority'       => 23,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Social Media', 'daq' ),
    'description'    => '',
) );


/*  Facebook Option in the Theme Customizer */
    $wp_customize->add_section( 'themeslug_facebook_section' , array(
    'title'       => __( 'Facebook', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Facebook Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_facebook' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_facebook', array(
    'label'    => __( 'Facebook', 'daq' ),
    'section'  => 'themeslug_facebook_section',
    'settings' => 'themeslug_facebook',
) ) );

	
	/*  Twitter Option in the Theme Customizer */
    $wp_customize->add_section( 'themeslug_twitter_section' , array(
    'title'       => __( 'Twitter', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Twitter Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_twitter' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_twitter', array(
    'label'    => __( 'Twitter', 'daq' ),
    'section'  => 'themeslug_twitter_section',
    'settings' => 'themeslug_twitter',
) ) );


	/*  Google + Option in the Theme Customizer */
    $wp_customize->add_section( 'themeslug_google+_section' , array(
    'title'       => __( 'Google +', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Google+ Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_google+' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_google+', array(
    'label'    => __( 'Google +', 'daq' ),
    'section'  => 'themeslug_google+_section',
    'settings' => 'themeslug_google+',
) ) );


/*  Linked In Option in the Theme Customizer */
$wp_customize->add_section( 'themeslug_linkedin_section' , array(
    'title'       => __( 'Linked In', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Linked In Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_linkedin' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_linkedin', array(
    'label'    => __( 'Linked In', 'daq' ),
    'section'  => 'themeslug_linkedin_section',
    'settings' => 'themeslug_linkedin',
) ) );


	/*  Youtube Option in the Theme Customizer */
    $wp_customize->add_section( 'themeslug_youtube_section' , array(
    'title'       => __( 'Youtube', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Youtube Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_youtube' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_youtube', array(
    'label'    => __( 'Youtube', 'daq' ),
    'section'  => 'themeslug_youtube_section',
    'settings' => 'themeslug_youtube',
) ) );

/*  Pinterest In Option in the Theme Customizer */
$wp_customize->add_section( 'themeslug_pinterest_section' , array(
    'title'       => __( 'Pinterest', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Enter Pinterest Link / URL', 'daq' ),
	'panel'  => 'socialmedia',
) );

$wp_customize->add_setting( 'themeslug_pinterest' ,
    array ( 'default' => '',
    'sanitize_callback' => 'esc_url_raw'
    ));

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'themeslug_pinterest', array(
    'label'    => __( 'Pinterest', 'daq' ),
    'section'  => 'themeslug_pinterest_section',
    'settings' => 'themeslug_pinterest',
) ) );

}
add_action( 'customize_register', 'daq_customizer_socialmedia' );


/*-----------------------------------------------------------------------------------*/
/*  Background Color Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_bgcolor( $wp_customize ) {

    $wp_customize->add_section( 'themeslug_bgcolor_section' , array(
    'title'       => __( 'Background Color', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Select a Background Color', 'daq' ),
) );

$wp_customize->add_setting( 'themeslug_bgcolor' ,
    array ( 'default' => '',
    'sanitize_callback' => 'maybe_hash_hex_color'
    ));

$wp_customize->add_control( new WP_Customize_color_Control( $wp_customize, 'themeslug_bgcolor', array(
    'label'    => __( 'Background Color', 'daq' ),
    'section'  => 'themeslug_bgcolor_section',
    'settings' => 'themeslug_bgcolor',
) ) );

}
add_action( 'customize_register', 'daq_customizer_bgcolor' );


function daq_customizer_bg_color() {
	$bg_color = get_theme_mod( 'themeslug_bgcolor' );
	
	if ( $bg_color != '#02B4E0' ) :
	?>
		<style type="text/css">
			body {
			background-color: <?php echo $bg_color; ?>;
			}
			
			.featured-cat, .pagination a, #commentform input#submit {
			background-color: <?php echo $bg_color; ?>;
			}
		</style>
	<?php
	endif;
}
add_action( 'wp_head', 'daq_customizer_bg_color' );


/*-----------------------------------------------------------------------------------*/
/*  Link Color Option in the Theme Customizer
/*-----------------------------------------------------------------------------------*/
function daq_customizer_linkcolor( $wp_customize ) {

    $wp_customize->add_section( 'themeslug_linkcolor_section' , array(
    'title'       => __( 'Link Color', 'daq' ),
    'priority'    => 30,
    'description' => __( 'Select a Link Color', 'daq' ),
) );

$wp_customize->add_setting( 'themeslug_linkcolor' ,
    array ( 'default' => '',
    'sanitize_callback' => 'maybe_hash_hex_color'
    ));

$wp_customize->add_control( new WP_Customize_color_Control( $wp_customize, 'themeslug_linkcolor', array(
    'label'    => __( 'Link Color', 'daq' ),
    'section'  => 'themeslug_linkcolor_section',
    'settings' => 'themeslug_linkcolor',
) ) );

}
add_action( 'customize_register', 'daq_customizer_linkcolor' );


function daq_customizer_link_color() {
	$link_color = get_theme_mod( 'themeslug_linkcolor' );
	
	if ( $link_color != '#02B4E0' ) :
	?>
		<style type="text/css">
			a:hover, .menu .current-menu-item > a, .menu .current-menu-item, .current-menu-ancestor > a.sf-with-ul, .current-menu-ancestor, footer .textwidget a, .single_post a, #commentform a, .copyrights a:hover, a, footer .widget li a:hover, .menu > li:hover > a, .single_post .post-info a, .post-info a, .readMore a, .reply a, .fn a, .carousel a:hover, .single_post .related-posts a:hover, .sidebar.c-4-12 .textwidget a, footer .textwidget a, .sidebar.c-4-12 a:hover {
			color: <?php echo $link_color; ?>;
			}
			
			.top{background-color: <?php echo $link_color; ?>;}
		</style>
	<?php
	endif;
}
add_action( 'wp_head', 'daq_customizer_link_color' );


/*-----------------------------------------------------------------------------------*/
/*	Javascsript
/*-----------------------------------------------------------------------------------*/
function daq_add_scripts() {
	
	wp_enqueue_script('jquery');

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	
	// Site wide js
	wp_enqueue_script('modernizr', get_stylesheet_directory_uri() . '/js/modernizr.min.js');
	wp_enqueue_script('customscript', get_stylesheet_directory_uri() . '/js/customscript.js');

}
add_action('wp_enqueue_scripts','daq_add_scripts');

/*-----------------------------------------------------------------------------------*/
/* Enqueue CSS
/*-----------------------------------------------------------------------------------*/
function daq_enqueue_css() {
    $daq_options = get_option('point');
    global $data;
	
	wp_enqueue_style('stylesheet', get_stylesheet_directory_uri() . '/style.css', 'style');
	wp_enqueue_style('stylesheet', get_stylesheet_directory_uri() . '/images/portfolio/prettyphoto.css', 'style');
	
	
	
	wp_enqueue_style( 'GoogleFonts', 'http://fonts.googleapis.com/css?family=Droid+Sans:regular,bold&v1');
    wp_enqueue_style( 'GoogleFonts2', 'http://fonts.googleapis.com/css?family=Open+Sans:regular,bold&v1');
	
	//Responsive
   
   wp_enqueue_style('responsive', get_stylesheet_directory_uri() . '/css/responsive.css', 'style');
   
	

	
	$custom_css = "
		body {background-color:#02B4E0; }
		input#author:focus, input#email:focus, input#url:focus, #commentform textarea:focus { border-color:{$daq_options['daq_color_scheme']};}
		a:hover, .menu .current-menu-item > a, .menu .current-menu-item, .current-menu-ancestor > a.sf-with-ul, .current-menu-ancestor, footer .textwidget a, .single_post a, #commentform a, .copyrights a:hover, a, footer .widget li a:hover, .menu > li:hover > a, .single_post .post-info a, .post-info a, .readMore a, .reply a, .fn a, .carousel a:hover, .single_post .related-posts a:hover, .sidebar.c-4-12 .textwidget a, footer .textwidget a, .sidebar.c-4-12 a:hover { color:#DA2939; }	
		.nav-previous a, .nav-next a, .header-button, .sub-menu, #commentform input#submit, .tagcloud a, #tabber ul.tabs li a.selected, .featured-cat, .daq-subscribe input[type='submit'], .pagination a { background-color:{color: #fff; }
		{$daq_sclayout}
		{$daq_options['daq_custom_css']}
			";
	wp_add_inline_style( 'stylesheet', $custom_css );
}
add_action('wp_enqueue_scripts', 'daq_enqueue_css', 99);

/*-----------------------------------------------------------------------------------*/
/*  Enable Widgetized sidebar
/*-----------------------------------------------------------------------------------*/
add_action( 'widgets_init', 'daq_widgets_init' );
function daq_widgets_init() {
	register_sidebar(array(
		'name'=>'Sidebar',
		'description'   => __( 'Appears on posts and pages', 'daq' ),
		'before_widget' => '<li id="%1$s" class="widget widget-sidebar %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	
	 register_sidebar(array(
        'name' => 'Footer Left',
        'id'   => 'footer-left-widget',
        'description'   => __( 'Left Footer widget position.', 'daq' ),
        'before_widget' => '<div id="%1$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2>',
        'after_title'   => '</h2>'
    ));

    register_sidebar(array(
        'name' => 'Footer Center One',
        'id'   => 'footer-centerone-widget',
        'description'   => __( 'Centre Footer widget position.', 'daq' ),
        'before_widget' => '<div id="%1$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2>',
        'after_title'   => '</h2>'
    ));

    register_sidebar(array(
        'name' => 'Footer Center Two',
        'id'   => 'footer-centertwo-widget',
        'description'   => __( 'Right Footer widget position.', 'daq' ),
        'before_widget' => '<div id="%1$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2>',
        'after_title'   => '</h2>'
    ));
	
	 register_sidebar(array(
        'name' => 'Footer Right',
        'id'   => 'footer-right-widget',
        'description'   => __( 'Right Footer widget position.', 'daq' ),
        'before_widget' => '<div id="%1$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2>',
        'after_title'   => '</h2>'
    ));
}


/*-----------------------------------------------------------------------------------*/
/*	Filters customize wp_title
/*-----------------------------------------------------------------------------------*/
function daq_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'daq' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'daq_wp_title', 10, 2 );

/*-----------------------------------------------------------------------------------*/
/*  Filters that allow shortcodes in Text Widgets
/*-----------------------------------------------------------------------------------*/
add_filter('widget_text', 'shortcode_unautop');
add_filter('widget_text', 'do_shortcode');
add_filter('the_content_rss', 'do_shortcode');

/*-----------------------------------------------------------------------------------*/
/*	Custom Gravatar Support
/*-----------------------------------------------------------------------------------*/
if( !function_exists( 'daq_custom_gravatar' ) ) {
    function daq_custom_gravatar( $avatar_defaults ) {
        $daq_avatar = get_template_directory_uri() . '/images/gravatar.png';
        $avatar_defaults[$daq_avatar] = 'Custom Gravatar (/images/gravatar.png)';
        return $avatar_defaults;
    }
    add_filter( 'avatar_defaults', 'daq_custom_gravatar' );
}

/*-----------------------------------------------------------------------------------*/
/*	Custom Comments template
/*-----------------------------------------------------------------------------------*/
function daq_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>" style="position:relative;">
			<div class="comment-author vcard">
				<?php echo get_avatar( $comment->comment_author_email, 70 ); ?>
				<div class="comment-metadata">
				<?php printf(__('<span class="fn">%s</span>', 'daq'), get_comment_author_link()) ?>
				<time><?php comment_date(get_option( 'date_format' )); ?></time>
				<span class="comment-meta">
					<?php edit_comment_link(__('(Edit)', 'daq'),'  ','') ?>
				</span>
				<span class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
				</span>
				</div>
			</div>
			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('Your comment is awaiting moderation.', 'daq') ?></em>
				<br />
			<?php endif; ?>
			<div class="commentmetadata">
				<?php comment_text() ?>
			</div>
		</div>
	</li>
<?php }

/*-----------------------------------------------------------------------------------*/
/*	Short Post Title
/*-----------------------------------------------------------------------------------*/
function daq_short_title($after = '', $length){
	$mytitle = get_the_title();
	if ( strlen($mytitle) > $length ){
		$mytitle = substr($mytitle,0,$length);
		echo $mytitle . $after; 
	}
	else { echo $mytitle; }
}

/*-----------------------------------------------------------------------------------*/
/*  excerpt
/*-----------------------------------------------------------------------------------*/
function daq_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt);
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

/*-----------------------------------------------------------------------------------*/
/* nofollow to next/previous links
/*-----------------------------------------------------------------------------------*/
function daq_pagination_add_nofollow($content) {
    return 'rel="nofollow"';
}
add_filter('next_posts_link_attributes', 'daq_pagination_add_nofollow' );
add_filter('previous_posts_link_attributes', 'daq_pagination_add_nofollow' );

/*-----------------------------------------------------------------------------------*/
/* Nofollow to category links
/*-----------------------------------------------------------------------------------*/
add_filter( 'the_category', 'daq_add_nofollow_cat' ); 
function daq_add_nofollow_cat( $text ) {
$text = str_replace('rel="category tag"', 'rel="nofollow"', $text); return $text; }

/*-----------------------------------------------------------------------------------*/ 
/* nofollow post author link
/*-----------------------------------------------------------------------------------*/
add_filter('the_author_posts_link', 'daq_nofollow_the_author_posts_link');
function daq_nofollow_the_author_posts_link ($link) {
return str_replace('<a href=', '<a rel="nofollow" href=',$link); }

/*-----------------------------------------------------------------------------------*/ 
/* nofollow to reply links
/*-----------------------------------------------------------------------------------*/
function daq_add_nofollow_to_reply_link( $link ) {
return str_replace( '")\'>', '")\' rel=\'nofollow\'>', $link );
}
add_filter( 'comment_reply_link', 'daq_add_nofollow_to_reply_link' );
    
/*-----------------------------------------------------------------------------------*/
/* Removes Trackbacks from the comment count
/*-----------------------------------------------------------------------------------*/
add_filter('get_comments_number', 'daq_comment_count', 0);
function daq_comment_count( $count ) {
    if ( ! is_admin() ) {
        global $id;
        $comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
        return count($comments_by_type['comment']);
    } else {
        return $count;
    }
}

/*-----------------------------------------------------------------------------------*/
/* adds a class to the post if there is a thumbnail
/*-----------------------------------------------------------------------------------*/
function has_thumb_class($classes) {
    global $post;
    if( has_post_thumbnail($post->ID) ) { $classes[] = 'has_thumb'; }
        return $classes;
}
add_filter('post_class', 'has_thumb_class');

/*-----------------------------------------------------------------------------------*/
/* Single Post Pagination
/*-----------------------------------------------------------------------------------*/
function daq_wp_link_pages_args_prevnext_add($args)
{
    global $page, $numpages, $more, $pagenow;
    if (!$args['next_or_number'] == 'next_and_number')
        return $args; 
    $args['next_or_number'] = 'number'; 
    if (!$more)
        return $args; 
    if($page-1) 
        $args['before'] .= _wp_link_page($page-1)
        . $args['link_before']. $args['previouspagelink'] . $args['link_after'] . '</a>'
    ;
    if ($page<$numpages) 
    
        $args['after'] = _wp_link_page($page+1)
        . $args['link_before'] . $args['nextpagelink'] . $args['link_after'] . '</a>'
        . $args['after']
    ;
    return $args;
}
add_filter('wp_link_pages_args', 'daq_wp_link_pages_args_prevnext_add');

/*-----------------------------------------------------------------------------------*/
/* add <!-- next-page --> button to tinymce
/*-----------------------------------------------------------------------------------*/
add_filter('mce_buttons','daq_wysiwyg_editor');
function daq_wysiwyg_editor($mce_buttons) {
   $pos = array_search('wp_more',$mce_buttons,true);
   if ($pos !== false) {
       $tmp_buttons = array_slice($mce_buttons, 0, $pos+1);
       $tmp_buttons[] = 'wp_page';
       $mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons, $pos+1));
   }
   return $mce_buttons;
}

?>