<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<link rel="shortcut icon" href="<?php echo esc_url( get_theme_mod( 'themeslug_fevicon' ) ); ?>" />
	<?php wp_head(); ?>
</head>
<body id ="blog" <?php body_class('main'); ?>>
<div class="main-container">

<!-- 3/3 -->
		<div class="header-maincontact">
		<div class="header-four">
          <?php get_search_form(); ?>
        </div>
		<div class="header-one">
           <span id="call" style="display:inline-block;">
		   <?php if ( get_theme_mod( 'themeslug_telephone' ) ) : ?><span style="  margin-right:10px"><img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/call.png" width="25" style="margin:0; padding:0; padding-right:5px; vertical-align:middle" alt="Call"><?php echo get_theme_mod( 'themeslug_telephone' ); ?></span><?php else : ?><?php endif; ?></span>  
		   <span id="email" style="display:inline-block;"><a href="mailto:<?php echo get_theme_mod( 'themeslug_email' ); ?>"><?php if ( get_theme_mod( 'themeslug_email' ) ) : ?><span style="  margin-right:10px"><img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/email.png" width="25" style="margin:0; padding:0; padding-right:5px; vertical-align:middle" alt="Email"><?php echo get_theme_mod( 'themeslug_email' ); ?></span><?php else : ?><?php endif; ?></a></span>


<span id="social" style="display:inline-block;">
<?php if ( get_theme_mod( 'themeslug_facebook' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_facebook' ); ?>" title="Facebook"><img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/facebook.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Facebook"></a> <?php else : ?><?php endif; ?>

<?php if ( get_theme_mod( 'themeslug_twitter' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_twitter' ); ?>" title="Twitter">
<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/twitter.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Twitter"> </a> <?php else : ?><?php endif; ?>

<?php if ( get_theme_mod( 'themeslug_google+' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_google+' ); ?>" title="Google +">
<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/g+.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Google +"> </a> <?php else : ?><?php endif; ?>

<?php if ( get_theme_mod( 'themeslug_linkedin' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_linkedin' ); ?>" title="Linked In">
<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/linkedin.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Linked In"></a> <?php else : ?><?php endif; ?>

<?php if ( get_theme_mod( 'themeslug_youtube' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_youtube' ); ?>" title="Youtube">
<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/youtube.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Youtube"></a> <?php else : ?><?php endif; ?>

<?php if ( get_theme_mod( 'themeslug_pinterest' ) ) : ?><a href="<?php echo get_theme_mod( 'themeslug_pinterest' ); ?>" title="Pinterest">
<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) ?>/images/pinterest.png" width="25" style="margin:0; padding:0; margin-right:2px; vertical-align:middle" alt="Pinterest"></a> <?php else : ?><?php endif; ?>

</span>
        </div>
		</div>
        <!-- /End 3/3 -->
       
	

		<header class="main-header">
			<div id="header">
				
	<div id="logo">	
	<?php if ( get_theme_mod( 'themeslug_logo' ) ) : ?>
    <div class='site-logo'>
        <a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img style="padding:5px; margin:0; padding-bottom:0" height="56" width="138" src='<?php echo esc_url( get_theme_mod( 'themeslug_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
    </div>
<?php else : ?>
    <hgroup>
        <h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php bloginfo( 'name' ); ?></a></h1>
        <h2 class='site-description'><?php bloginfo( 'description' ); ?></h2>
    </hgroup>
<?php endif; ?></div>
				
		<div class="secondary-navigation">
		
					<nav id="navigation" >
					
						<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
							<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu', 'container' => '') ); ?>
						<?php } else { ?>
							<ul class="menu">
								<?php wp_list_categories('title_li='); ?>
							</ul>
						<?php } ?>
						<a href="#" id="pull"><?php _e('Menu',''); ?></a>
					</nav>
				</div>
			</div>
		</header>
